#!/bin/sh

name="jabber-gg-transport"
title="Jabber Gadu-Gadu Transport"
package="jabber-gg-transport"
version="2.0.5"
build="2"
noarch="n"
build_info="Standard build."

info="A Gadu-Gadu transport (gateway) for Jabber."
desc="The Jabber Gadu-Gadu transport provides Gadu-Gadu protocol
support (which is a very popular proprietary instant messaging
protocol in Poland)."
category="net/server/im"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,BUGS,COPYING,ChangeLog,INSTALL*,NEWS,README*,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/jabber/$name-$version.tar.gz

apply_patch cfg
apply_patch lpthread
apply_patch iq-include
apply_patch debug-h

configure_option --prefix=/usr
configure_option --sysconfdir=/etc/jabber
configure_option --with-libgadu-snapshot
configure_option --disable-debug

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

copy jggtrans.xml $pkg_main/etc/jabber jggtrans.xml.new
copy jggtrans.xml.Pl $pkg_main/etc/jabber
copy $src_pkg/rc.jggtrans $pkg_main/etc/rc.d
mkdir -p $pkg_main/var/spool/jabber/jggtrans
mkdir -p $pkg_main/var/log/jabber
change_mod main etc/jabber 700
change_mod main var/spool/jabber "-R 700"
change_mod main var/log/jabber 700
chmod 755 $pkg_main/etc/rc.d/rc.jggtrans

make_docs

make_package main

clean_up

# $Log: jabber-gg-transport.builder,v $
# Revision 1.38  2003/06/13 12:59:22  swiergot
# - Build 2.
#
# Revision 1.37  2003/06/13 12:51:58  swiergot
# - Added debug-h patch to avoid strange conflicts with OpenSSL headers.
#
# Revision 1.36  2003/05/27 17:10:58  swiergot
# - Build 1.
#
# Revision 1.35  2003/05/27 16:59:39  swiergot
# - Version 2.0.5.
#
# Revision 1.34  2003/05/20 08:16:12  swiergot
# - Build 1.
#
# Revision 1.33  2003/05/20 08:02:21  swiergot
# - Version 2.0.4.
#
# Revision 1.32  2003/05/15 14:13:53  swiergot
# - Build 1.
#
# Revision 1.31  2003/05/15 13:50:57  swiergot
# - Version 2.0.3.
# - Updated cfg patch to fit the new version.
#
# Revision 1.30  2003/04/28 20:07:00  swiergot
# - Build 1.
#
# Revision 1.29  2003/04/28 19:57:17  swiergot
# - Version 2.0.2.
#
# Revision 1.28  2003/04/24 13:22:28  swiergot
# - Build 1.
#
# Revision 1.27  2003/04/24 13:12:59  swiergot
# - Force building.
#
# Revision 1.26  2003/04/24 12:59:12  swiergot
# - Force building.
#
# Revision 1.25  2003/04/24 12:01:26  swiergot
# - Force building.
#
# Revision 1.24  2003/04/24 11:48:26  swiergot
# - Version 2.0.1.
# - Added configure_option --with-libgadu-snapshot.
#
# Revision 1.23  2003/04/22 20:09:43  swiergot
# - Enabled iq-include patch.
#
# Revision 1.22  2003/04/22 18:40:01  swiergot
# - Force building.
#
# Revision 1.21  2003/04/22 18:20:28  swiergot
# - Force building.
#
# Revision 1.20  2003/04/22 18:14:52  swiergot
# - Version 2.0.0.
# - Added ABOUT-NLS to docs_source.
# - Updated cfg patch.
# - Temporarily disabled iq-include patch.
#
# Revision 1.19  2003/04/10 17:30:37  swiergot
# - Build 3.
#
# Revision 1.18  2003/04/10 17:24:00  swiergot
# - Added iq-include patch. Sometimes (I wasn't able to find out what it
#   depends on) it happens that search.h included from iq.c needs libgadu.h
#   to compile. This patch fixes this by including libgadu.h in iq.c just
#   before search.h is included.
#
# Revision 1.17  2003/04/10 16:29:21  swiergot
# - Build 2.
#
# Revision 1.16  2003/04/10 16:18:26  swiergot
# - Force building.
#
# Revision 1.15  2003/04/10 10:23:48  swiergot
# - Build 1.
#
# Revision 1.14  2003/04/10 09:59:04  swiergot
# - Fixed source URL.
#
# Revision 1.13  2003/04/10 09:49:01  swiergot
# - Version 1.4.2.
# - Added lpthread patch to fix libgadu dependances.
#
# Revision 1.12  2003/03/25 21:56:30  swiergot
# - Build 1.
#
# Revision 1.11  2003/03/25 21:48:10  swiergot
# - Force building.
#
# Revision 1.10  2003/03/25 21:32:12  swiergot
# - Version 1.4.1.
#
# Revision 1.9  2003/02/07 10:59:23  swiergot
# - Build 1.
#
# Revision 1.8  2003/02/07 10:30:25  swiergot
# - Version 1.4.0.
# - Updated cfg patch for the new version.
#
# Revision 1.7  2003/01/22 16:22:54  swiergot
# - Build 1.
#
# Revision 1.6  2003/01/22 15:56:01  swiergot
# - Force building.
#
# Revision 1.5  2003/01/22 15:42:30  swiergot
# - Version 1.3.1.
# - Removed the rmpidfile patch (already included in original sources).
#
# Revision 1.4  2003/01/20 22:12:28  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/20 20:46:23  swiergot
# - Added a rmpidfile patch to remove pidfile before exit.
# - Make var/log/jabber and chmod 700.
# - Added postinst script to handle config file.
#
# Revision 1.2  2003/01/20 19:13:23  swiergot
# - Many things.
#
# Revision 1.1  2003/01/20 17:31:23  swiergot
# - Initial release.
# - Version 1.3.0.
#
